Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelRenderer.Worker

    java.lang.Object
      org.jasig.portal.utils.threading.BaseTask
          org.jasig.portal.ChannelRenderer.Worker

All Implemented Interfaces:
  java.lang.Runnable, Task

Enclosing class:
  ChannelRenderer

    protected class ChannelRenderer.Worker

extends BaseTask

Field Summary
`private SAX2BufferImpl` | `buffer`
`private java.lang.String` | `cbuffer`
`private IChannel` | `channel`
`private java.lang.String` | `channelTitle` The dynamic title of the channel, if any.
`private boolean` | `done`
`private ChannelRuntimeData` | `rd`
`private boolean` | `setRuntimeDataComplete`
`private boolean` | `successful`

Fields inherited from class org.jasig.portal.utils.threading.BaseTask
`exception`

Constructor Summary
`ChannelRenderer.Worker(IChannel ch, ChannelRuntimeData runtimeData)`

Method Summary
`boolean` | `done()`
`void` | `execute()` Subclasses should implement this method NOTE: not declaring throws Throwable.
`SAX2BufferImpl` | `getBuffer()`
`(package private) java.lang.String` | `getChannelTitle()` Get a Sring representing the dynamic channel title reported by the IChannel this ChannelRenderer rendered.
`java.lang.String` | `getCharacters()` Returns a character output of a channel rendering.
`boolean` | `isSetRuntimeDataComplete()`
`private void` | `processChannelRuntimeProperties()` Query the channel for ChannelRuntimePRoperties and process those properties.
`void` | `setChannel(IChannel ch)`
`void` | `setCharacterCache(java.lang.String chars)` Sets a character cache for the current rendering.
`boolean` | `successful()`

Methods inherited from class org.jasig.portal.utils.threading.BaseTask
`getException, run, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### successful

    private boolean successful

### done

    private boolean done

### setRuntimeDataComplete

    private boolean setRuntimeDataComplete

### channel

    private IChannel channel

### rd

    private ChannelRuntimeData rd

### buffer

    private SAX2BufferImpl buffer

### cbuffer

    private java.lang.String cbuffer

### channelTitle

    private java.lang.String channelTitle

  The dynamic title of the channel, if any. Null otherwise.

Constructor Detail

### ChannelRenderer.Worker

    public ChannelRenderer.Worker(IChannel ch,
                                  ChannelRuntimeData runtimeData)

Method Detail

### setChannel

    public void setChannel(IChannel ch)

### isSetRuntimeDataComplete

    public boolean isSetRuntimeDataComplete()

### execute

    public void execute()
                 throws java.lang.Exception

  Description copied from class: `BaseTask`
  Subclasses should implement this method NOTE: not declaring throws Throwable. We shouldn't really catch Errors, should we?

  Specified by:
    `execute` in class `BaseTask`
  Throws:
    `java.lang.Exception`

### processChannelRuntimeProperties

    private void processChannelRuntimeProperties()

  Query the channel for ChannelRuntimePRoperties and process those properties. Currently, only handles the optional @link{IChannelTitle} interface.

### successful

    public boolean successful()

### getBuffer

    public SAX2BufferImpl getBuffer()

### getCharacters

    public java.lang.String getCharacters()

  Returns a character output of a channel rendering.

### setCharacterCache

    public void setCharacterCache(java.lang.String chars)

  Sets a character cache for the current rendering.

### done

    public boolean done()

### getChannelTitle

    java.lang.String getChannelTitle()

  Get a Sring representing the dynamic channel title reported by the IChannel this ChannelRenderer rendered. Returns null if the channel reported no such title or the channel isn't done rendering.

  Returns:
    dynamic channel title, or null if no title available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD